Loading...
Searching...
No Matches
ScriptTokenInfo Struct Reference

## Data Fields

FILE * | stream
MagickBooleanType | opened
char * | token
size_t | length
size_t | curr_line
size_t | curr_column
size_t | token_line
size_t | token_column
TokenStatus | status
size_t | signature

## Detailed Description

Definition at line 39 of file script-token.h.

## Field Documentation

## curr_column

size_t ScriptTokenInfo::curr_column

Definition at line 53 of file script-token.h.

## curr_line

size_t ScriptTokenInfo::curr_line

Definition at line 52 of file script-token.h.

## length

size_t ScriptTokenInfo::length

Definition at line 51 of file script-token.h.

## opened

MagickBooleanType ScriptTokenInfo::opened

Definition at line 45 of file script-token.h.

## signature

size_t ScriptTokenInfo::signature

Definition at line 61 of file script-token.h.

## status

TokenStatus ScriptTokenInfo::status

Definition at line 58 of file script-token.h.

## stream

FILE* ScriptTokenInfo::stream

Definition at line 42 of file script-token.h.

## token

char* ScriptTokenInfo::token

Definition at line 48 of file script-token.h.

## token_column

size_t ScriptTokenInfo::token_column

Definition at line 55 of file script-token.h.

## token_line

size_t ScriptTokenInfo::token_line

Definition at line 54 of file script-token.h.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickWand/script-token.h